
package athbugaifx;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the athbugaifx package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Reverso_QNAME = new QName("http://tempuri.org/DocumentTypes", "Reverso");
    private final static QName _ConsultarFacturasPorNitResponse_QNAME = new QName("http://tempuri.org/DocumentTypes", "ConsultarFacturasPorNitResponse");
    private final static QName _ReversoResponse_QNAME = new QName("http://tempuri.org/DocumentTypes", "ReversoResponse");
    private final static QName _RegistrarPagoResponse_QNAME = new QName("http://tempuri.org/DocumentTypes", "RegistrarPagoResponse");
    private final static QName _ConsultarFacturaPorNumeroResponse_QNAME = new QName("http://tempuri.org/DocumentTypes", "ConsultarFacturaPorNumeroResponse");
    private final static QName _ConsultaPorValidacion_QNAME = new QName("http://tempuri.org/DocumentTypes", "ConsultaPorValidacion");
    private final static QName _ConsultaPorValidacionResponse_QNAME = new QName("http://tempuri.org/DocumentTypes", "ConsultaPorValidacionResponse");
    private final static QName _ConsultarFacturasPorNit_QNAME = new QName("http://tempuri.org/DocumentTypes", "ConsultarFacturasPorNit");
    private final static QName _RegistrarPagoIFX_QNAME = new QName("http://tempuri.org/DocumentTypes", "RegistrarPagoIFX");
    private final static QName _ConsultarFacturaPorNumero_QNAME = new QName("http://tempuri.org/DocumentTypes", "ConsultarFacturaPorNumero");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: athbugaifx
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ConsultaPorValidacionResponse }
     * 
     */
    public ConsultaPorValidacionResponse createConsultaPorValidacionResponse() {
        return new ConsultaPorValidacionResponse();
    }

    /**
     * Create an instance of {@link ConsultarFacturasPorNit }
     * 
     */
    public ConsultarFacturasPorNit createConsultarFacturasPorNit() {
        return new ConsultarFacturasPorNit();
    }

    /**
     * Create an instance of {@link ConsultarFacturaPorNumero }
     * 
     */
    public ConsultarFacturaPorNumero createConsultarFacturaPorNumero() {
        return new ConsultarFacturaPorNumero();
    }

    /**
     * Create an instance of {@link RegistrarPagoIFX }
     * 
     */
    public RegistrarPagoIFX createRegistrarPagoIFX() {
        return new RegistrarPagoIFX();
    }

    /**
     * Create an instance of {@link RegistrarPagoResponse }
     * 
     */
    public RegistrarPagoResponse createRegistrarPagoResponse() {
        return new RegistrarPagoResponse();
    }

    /**
     * Create an instance of {@link ConsultarFacturaPorNumeroResponse }
     * 
     */
    public ConsultarFacturaPorNumeroResponse createConsultarFacturaPorNumeroResponse() {
        return new ConsultarFacturaPorNumeroResponse();
    }

    /**
     * Create an instance of {@link Reverso }
     * 
     */
    public Reverso createReverso() {
        return new Reverso();
    }

    /**
     * Create an instance of {@link ConsultarFacturasPorNitResponse }
     * 
     */
    public ConsultarFacturasPorNitResponse createConsultarFacturasPorNitResponse() {
        return new ConsultarFacturasPorNitResponse();
    }

    /**
     * Create an instance of {@link ReversoResponse }
     * 
     */
    public ReversoResponse createReversoResponse() {
        return new ReversoResponse();
    }

    /**
     * Create an instance of {@link ConsultaPorValidacion }
     * 
     */
    public ConsultaPorValidacion createConsultaPorValidacion() {
        return new ConsultaPorValidacion();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Reverso }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tempuri.org/DocumentTypes", name = "Reverso")
    public JAXBElement<Reverso> createReverso(Reverso value) {
        return new JAXBElement<Reverso>(_Reverso_QNAME, Reverso.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConsultarFacturasPorNitResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tempuri.org/DocumentTypes", name = "ConsultarFacturasPorNitResponse")
    public JAXBElement<ConsultarFacturasPorNitResponse> createConsultarFacturasPorNitResponse(ConsultarFacturasPorNitResponse value) {
        return new JAXBElement<ConsultarFacturasPorNitResponse>(_ConsultarFacturasPorNitResponse_QNAME, ConsultarFacturasPorNitResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReversoResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tempuri.org/DocumentTypes", name = "ReversoResponse")
    public JAXBElement<ReversoResponse> createReversoResponse(ReversoResponse value) {
        return new JAXBElement<ReversoResponse>(_ReversoResponse_QNAME, ReversoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RegistrarPagoResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tempuri.org/DocumentTypes", name = "RegistrarPagoResponse")
    public JAXBElement<RegistrarPagoResponse> createRegistrarPagoResponse(RegistrarPagoResponse value) {
        return new JAXBElement<RegistrarPagoResponse>(_RegistrarPagoResponse_QNAME, RegistrarPagoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConsultarFacturaPorNumeroResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tempuri.org/DocumentTypes", name = "ConsultarFacturaPorNumeroResponse")
    public JAXBElement<ConsultarFacturaPorNumeroResponse> createConsultarFacturaPorNumeroResponse(ConsultarFacturaPorNumeroResponse value) {
        return new JAXBElement<ConsultarFacturaPorNumeroResponse>(_ConsultarFacturaPorNumeroResponse_QNAME, ConsultarFacturaPorNumeroResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConsultaPorValidacion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tempuri.org/DocumentTypes", name = "ConsultaPorValidacion")
    public JAXBElement<ConsultaPorValidacion> createConsultaPorValidacion(ConsultaPorValidacion value) {
        return new JAXBElement<ConsultaPorValidacion>(_ConsultaPorValidacion_QNAME, ConsultaPorValidacion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConsultaPorValidacionResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tempuri.org/DocumentTypes", name = "ConsultaPorValidacionResponse")
    public JAXBElement<ConsultaPorValidacionResponse> createConsultaPorValidacionResponse(ConsultaPorValidacionResponse value) {
        return new JAXBElement<ConsultaPorValidacionResponse>(_ConsultaPorValidacionResponse_QNAME, ConsultaPorValidacionResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConsultarFacturasPorNit }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tempuri.org/DocumentTypes", name = "ConsultarFacturasPorNit")
    public JAXBElement<ConsultarFacturasPorNit> createConsultarFacturasPorNit(ConsultarFacturasPorNit value) {
        return new JAXBElement<ConsultarFacturasPorNit>(_ConsultarFacturasPorNit_QNAME, ConsultarFacturasPorNit.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RegistrarPagoIFX }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tempuri.org/DocumentTypes", name = "RegistrarPagoIFX")
    public JAXBElement<RegistrarPagoIFX> createRegistrarPagoIFX(RegistrarPagoIFX value) {
        return new JAXBElement<RegistrarPagoIFX>(_RegistrarPagoIFX_QNAME, RegistrarPagoIFX.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConsultarFacturaPorNumero }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tempuri.org/DocumentTypes", name = "ConsultarFacturaPorNumero")
    public JAXBElement<ConsultarFacturaPorNumero> createConsultarFacturaPorNumero(ConsultarFacturaPorNumero value) {
        return new JAXBElement<ConsultarFacturaPorNumero>(_ConsultarFacturaPorNumero_QNAME, ConsultarFacturaPorNumero.class, null, value);
    }

}
